Subject: Re: [RFC/PATCH] gitweb: Add committags support

From: Jakub Narebski <[email-masked]>
Date: Sat, 23 Sep 2006 22:18:50 +0200

Junio C Hamano wrote:

> True.  Without looking at Jakub's code under discussion, off the
> top of my head, I wonder if we can do something like this:

The code was to analyse log message line after line, doing loop
over all committags, building list (well, hash to be more exact)
of _exact_ replacements (e.g. in the case of commit_id/commitsha
committag we use exact hash as the replaced part, not generic
regexp to find a sha1).

The idea of doing committag parsing, and preserving replacements
from matching committag and being subject to HTML escaping by using
reference to string has it's merits.

I'd have to think about it.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git